<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Socket Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classSocket.html">Socket</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a3f749d9a206e48a875e8c24f29500a93">accept</a>()</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#aa0aa0b437ca534447e335b58e8a30254">addressToString</a>(struct sockaddr *addr)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#adc1e8efb9384ac637d42e93008debb6a">bind</a>(uint16_t port, uint32_t address)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#aef06605c6725958004116983f1a2051f">close</a>()</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#ae537e61bb9f64b0322c6e9c39bb24fde">connect</a>(struct in_addr address, uint16_t port)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#a426b128c26cee34ed153c1402cf4a5fc">connect</a>(char *address, uint16_t port)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a788b0d2a4070a64fb38d2c6e6289f96e">createSocket</a>(bool isDatagram=false)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#a6b59f7b6e3be56f4d4a27558bde48e85">getBind</a>(struct sockaddr *pAddr)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a2ba81037cc4a722e155c7bbbfef58b0d">getFD</a>() const</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getSSL</b>() const (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>isValid</b>() (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#a893bb9a6107d2139cfb088f0c82ac5ae">listen</a>(uint16_t port, bool isDatagram=false, bool reuseAddress=false)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator&lt;</b>(const Socket &amp;other) const (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>readToDelim</b>(std::string delim) (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#abeb5751e47f3fa96755aba55d29c300a">receive</a>(uint8_t *data, size_t length, bool exact=false)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#afc27706410db610051b84cb3c969daa3">receiveFrom</a>(uint8_t *data, size_t length, struct sockaddr *pAddr)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#ad9757badfe9d9903d07ef7c70279ad77">send</a>(std::string value) const</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#a6d6e3f6b1d0f355575a1bfb350b6477d">send</a>(const uint8_t *data, size_t length) const</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>send</b>(uint16_t value) (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>send</b>(uint32_t value) (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a44a41324fbee63de97bdadc7de03bda3">sendTo</a>(const uint8_t *data, size_t length, struct sockaddr *pAddr)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#ad435a8a36e2759203db8b4b2c67e4e85">setReuseAddress</a>(bool value)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a0bee77d0779e5d3a0f62ef7d37e5033d">setSocketOption</a>(int option, void *value, size_t len)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classSocket.html#a73d0af1a733ff70a622eac54a997f887">setSSL</a>(bool sslValue=true)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#aef6249eaa9b2be5a386f85cb828c2b4a">setTimeout</a>(uint32_t seconds)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>Socket</b>() (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classSocket.html#a377ac3bcbf52e36dc08bca6ad0c8a97f">toString</a>()</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Socket</b>() (defined in <a class="el" href="classSocket.html">Socket</a>)</td><td class="entry"><a class="el" href="classSocket.html">Socket</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
